Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nz.co.cks.tms.xml
Class TransactionAuthType

    java.lang.Object
      nz.co.cks.tms.xml.TransactionAuthType

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  TransactionAuth

public abstract class TransactionAuthType
extends java.lang.Object
implements java.io.Serializable

Class TransactionAuthType.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private CardInfo` | `_cardInfo` Field _cardInfo
`private boolean` | `_has_ncbId` keeps track of state for field: _ncbId
`private int` | `_ncbId` Field _ncbId
`private java.math.BigDecimal` | `_paymentAmount` Field _paymentAmount
`private java.lang.String` | `_paymentCurrencyCode` Field _paymentCurrencyCode

Constructor Summary
`TransactionAuthType()`

Method Summary
`CardInfo` | `getCardInfo()` Method getCardInfoReturns the value of field 'cardInfo'.
`int` | `getNcbId()` Method getNcbIdReturns the value of field 'ncbId'.
`java.math.BigDecimal` | `getPaymentAmount()` Method getPaymentAmountReturns the value of field 'paymentAmount'.
`java.lang.String` | `getPaymentCurrencyCode()` Method getPaymentCurrencyCodeReturns the value of field 'paymentCurrencyCode'.
`boolean` | `hasNcbId()` Method hasNcbId
`boolean` | `isValid()` Method isValid
`void` | `setCardInfo(CardInfo cardInfo)` Method setCardInfoSets the value of field 'cardInfo'.
`void` | `setNcbId(int ncbId)` Method setNcbIdSets the value of field 'ncbId'.
`void` | `setPaymentAmount(java.math.BigDecimal paymentAmount)` Method setPaymentAmountSets the value of field 'paymentAmount'.
`void` | `setPaymentCurrencyCode(java.lang.String paymentCurrencyCode)` Method setPaymentCurrencyCodeSets the value of field 'paymentCurrencyCode'.
`void` | `validate()` Method validate

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _cardInfo

    private CardInfo _cardInfo

  Field _cardInfo

### _has_ncbId

    private boolean _has_ncbId

  keeps track of state for field: _ncbId

### _ncbId

    private int _ncbId

  Field _ncbId

### _paymentAmount

    private java.math.BigDecimal _paymentAmount

  Field _paymentAmount

### _paymentCurrencyCode

    private java.lang.String _paymentCurrencyCode

  Field _paymentCurrencyCode

Constructor Detail

### TransactionAuthType

    public TransactionAuthType()

Method Detail

### getCardInfo

    public CardInfo getCardInfo()

  Method getCardInfoReturns the value of field 'cardInfo'.

  Returns:
    the value of field 'cardInfo'.

### getNcbId

    public int getNcbId()

  Method getNcbIdReturns the value of field 'ncbId'.

  Returns:
    the value of field 'ncbId'.

### getPaymentAmount

    public java.math.BigDecimal getPaymentAmount()

  Method getPaymentAmountReturns the value of field 'paymentAmount'.

  Returns:
    the value of field 'paymentAmount'.

### getPaymentCurrencyCode

    public java.lang.String getPaymentCurrencyCode()

  Method getPaymentCurrencyCodeReturns the value of field 'paymentCurrencyCode'.

  Returns:
    the value of field 'paymentCurrencyCode'.

### hasNcbId

    public boolean hasNcbId()

  Method hasNcbId

### isValid

    public boolean isValid()

  Method isValid

### setCardInfo

    public void setCardInfo(CardInfo cardInfo)

  Method setCardInfoSets the value of field 'cardInfo'.

  Parameters:
    `cardInfo` - the value of field 'cardInfo'.

### setNcbId

    public void setNcbId(int ncbId)

  Method setNcbIdSets the value of field 'ncbId'.

  Parameters:
    `ncbId` - the value of field 'ncbId'.

### setPaymentAmount

    public void setPaymentAmount(java.math.BigDecimal paymentAmount)

  Method setPaymentAmountSets the value of field 'paymentAmount'.

  Parameters:
    `paymentAmount` - the value of field 'paymentAmount'.

### setPaymentCurrencyCode

    public void setPaymentCurrencyCode(java.lang.String paymentCurrencyCode)

  Method setPaymentCurrencyCodeSets the value of field 'paymentCurrencyCode'.

  Parameters:
    `paymentCurrencyCode` - the value of field 'paymentCurrencyCode'.

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Method validate

  Throws:
    `org.exolab.castor.xml.ValidationException`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD